/* JML - Java Markup Language
 * Copyright (C) 1998 Scott Dybiec
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

import com.sun.java.swing.*;
import java.awt.*;

class BorderBox extends Box {
   private int borderSize;

   public BorderBox(int axis) {
      super(axis);
      borderSize = 0;
   }

   public Insets getInsets() {
      Insets insets = super.getInsets();

      insets.top += borderSize;
      insets.left += borderSize;
      insets.bottom += borderSize;
      insets.right += borderSize;
      return insets;
   }

   public void setBorderSize(int border) {
      borderSize = border;
   }
}


